version: "3.5"

services:

  ocpp-db:
    image: mariadb:10.4
    volumes:
      - type: bind
        source: ./ocpp-db-data
        target: /var/lib/mysql
    environment:
      MYSQL_RANDOM_ROOT_PASSWORD: "yes"
      MYSQL_DATABASE: stevedb
      MYSQL_USER: steve
      MYSQL_PASSWORD: changeme

  ocpp:
    image: steve:latest
    ports:
      - "8180:8180"
      - "8443:8443"
    links:
      - "ocpp-db:mariadb"

networks:
  default:
    external: true
    name: supernova-net
